[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [OAuthAccount](index.md) / [getCurrentDeviceId](./get-current-device-id.md)

# getCurrentDeviceId

`abstract fun getCurrentDeviceId(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L94)

Returns current FxA Device ID for an authenticated account.

**Return**
Current device's FxA ID, if available. `null` otherwise.

